[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ptrace fix in 2.4



On Mon, May 12, 2003 at 03:10:05AM +0200, Peter Holm wrote:
> On Fri, 09 May 2003 14:10:05 +0200, in linux.debian.security you
> wrote:
> 
> >Yesterday Bernhard Kaindl committed a cleanup patch addressing
> >numerous problems encountered with the original ptrace fix.
> >Now it should be in -rc2.  For more information and diffs, see
> 
> Could please someone instruct me, what to do now? I see there is a
> 2.4.21-rc2 at kernel.org, I have to patch this against an 2.4.20
> kernel, ok, but can I use a debian package of the 2.4.20 source or
> will this mess up? 

You can give it a try, if you insist on having the Debian
modifications.  I suppose, with careful manual merging it's
possible to get a working mule kernel.

However, it seems easier to start from the other direction:
download a vanilla -rc2 and merge the individual Debian-specific
patches with it (after you've checked it hasn't been applied by
kernel maintainers).

bit,
adam

-- 
1024D/37B8D989 954B 998A E5F5 BA2A 3622  82DD 54C2 843D 37B8 D989      
finger://borso@vekoll.vein.hu | Some days, my soul's confined
http://www.keyserver.net | And out of mind
Sleep forever



Reply to: